# 4. Query: obține „SatelliteImage” definit

Obține „SatelliteImage” definit pentru „Field”.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
interogare GetFieldSatelliteImagesViaGetFarms {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    nume
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      nume
      satelliteImages (satelliteImageUuids: ["<placeholder_of_satelliteimage_uuid_1>", "<placeholder_of_satelliteimage_uuid_2>"])  {
        satelliteImage {
          uuid
          acquisitionDate
          provider
        }
        terenFărăNori
        geoMaps {
          shortName
          url
          classes
          hexColorCodes
        }
        ndviMedie
        
        statistici {
          index
          min
          max
          avg
          mdn
          var
          std
        }
        
        recomandatPentruAnalizăMultiAnuală 
      }
    }
  }
}
```

{% endcode %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
interogare GetFieldSatelliteImagesViaGetFields {
  getFields (filter: {fieldUuid: "<placeholder_of_field_uuid>"}) {
    fields {
      uuid
      nume
      satelliteImages (satelliteImageUuids: ["<placeholder_of_satelliteimage_uuid_1>", "<placeholder_of_satelliteimage_uuid_2>"])  {
        satelliteImage {
          uuid
          acquisitionDate
          provider
        } 
        terenFărăNori
        geoMaps {
          shortName
          url
          classes
          hexColorCodes
        }
        ndviMedie
        
        statistici {
          index
          min
          max
          avg
          mdn
          var
          std
        } 
        
        recomandatPentruAnalizăMultiAnuală
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ro/documentatia-api/prezentarea-generala-a-solicitarilor-api-geopard/4.-query-obtine-satelliteimage-definit.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
